Top-Themen

Aktuelle Themen (A bis Z)

Administrator.de FeedbackApache ServerAppleAssemblerAudioAusbildungAuslandBackupBasicBatch & ShellBenchmarksBibliotheken & ToolkitsBlogsCloud-DiensteClusterCMSCPU, RAM, MainboardsCSSC und C++DatenbankenDatenschutzDebianDigitiales FernsehenDNSDrucker und ScannerDSL, VDSLE-BooksE-BusinessE-MailEntwicklungErkennung und -AbwehrExchange ServerFestplatten, SSD, RaidFirewallFlatratesGoogle AndroidGrafikGrafikkarten & MonitoreGroupwareHardwareHosting & HousingHTMLHumor (lol)Hyper-VIconsIDE & EditorenInformationsdiensteInstallationInstant MessagingInternetInternet DomäneniOSISDN & AnaloganschlüsseiTunesJavaJavaScriptKiXtartKVMLAN, WAN, WirelessLinuxLinux DesktopLinux NetzwerkLinux ToolsLinux UserverwaltungLizenzierungMac OS XMicrosoftMicrosoft OfficeMikroTik RouterOSMonitoringMultimediaMultimedia & ZubehörNetzwerkeNetzwerkgrundlagenNetzwerkmanagementNetzwerkprotokolleNotebook & ZubehörNovell NetwareOff TopicOpenOffice, LibreOfficeOutlook & MailPapierkorbPascal und DelphiPeripheriegerätePerlPHPPythonRechtliche FragenRedHat, CentOS, FedoraRouter & RoutingSambaSAN, NAS, DASSchriftartenSchulung & TrainingSEOServerServer-HardwareSicherheitSicherheits-ToolsSicherheitsgrundlagenSolarisSonstige SystemeSoziale NetzwerkeSpeicherkartenStudentenjobs & PraktikumSuche ProjektpartnerSuseSwitche und HubsTipps & TricksTK-Netze & GeräteUbuntuUMTS, EDGE & GPRSUtilitiesVB for ApplicationsVerschlüsselung & ZertifikateVideo & StreamingViren und TrojanerVirtualisierungVisual StudioVmwareVoice over IPWebbrowserWebentwicklungWeiterbildungWindows 7Windows 8Windows 10Windows InstallationWindows MobileWindows NetzwerkWindows ServerWindows SystemdateienWindows ToolsWindows UpdateWindows UserverwaltungWindows VistaWindows XPXenserverXMLZusammenarbeit

Fetchmail - wo liegen meine abgeholten Mails?

Mitglied: Ulturasepp

Ulturasepp (Level 1) - Jetzt verbinden

13.06.2006, aktualisiert 14:27 Uhr, 6422 Aufrufe, 4 Kommentare

System: Suse Linux 10.0

In der Logdatei /var/log/fetchmail sehe ich gerade dass fetchmail Emails für einige Konten abgeholt hat.
Die Mails liegen aber nicht im Ordner /var/mail. Es kann sein dass mit Postfix und QPopper etwas nicht stimmt, denn bei intakter Konfiguration lagen die Mails immer in einer Datei in /var/mail. Ich finde sie nicht!

In der fecthmailrc habe ich die Einträge in dieser Art:

poll popserver.de with proto pop3
user '12345' with password 'abcdef' there is 'linuxuser' here

Der User ist angelegt und aktiv!

Aber der Ordner /var/mail ist leer?!?

Werden solche Mails an Postmaster weitergeleitet oder wo sind die hin?

Wo könnten sie sein?

Danke im Voraus
Mitglied: BartSimpson
13.06.2006 um 11:24 Uhr
schau mal nach ob es /var/spool/mail gibt.
PS auch deine config datei von fetchmal währe nicht schlecht!!
Bitte warten ..
Mitglied: Ulturasepp
13.06.2006 um 13:44 Uhr
Ja /var/spool/mail gibt es. Die beiden sind per Link miteinander verbunden.

Ich habe nur 1 Configdatei gefunden und poste das einfach mal:

/etc/sysconfig/fetchmail

01.
## Path:        Network/Mail/Fetchmail
02.
## Description: Fetchmail init script options
03.
## ServiceRestart: fetchmail
04.
## Type:        integer
05.
## Default:     600
06.
#
07.
# Polling interval in seconds for daemon mode. Mails are regularly
08.
# fetched in this interval.
09.
#
10.
FETCHMAIL_POLLING_INTERVAL=60
11.

12.
## Type:        yesno
13.
## Default:     yes
14.
#
15.
# The default is to retrieve all messages on server. If you want to
16.
# retrieve only new messages and keep old (seen) messages, disable
17.
# this option.
18.
#
19.
FETCHMAIL_FETCHALL=yes
20.

21.
## Type:        yesno
22.
## Default:     no
23.
#
24.
# Fetchmail logs by default all retrieved or kept messages. If you do
25.
# not want to log every single message fetchmail downloads or keeps on
26.
# the server every time it polls, enable this option.
27.
#
28.
FETCHMAIL_SILENT=no
29.

30.
## Type:        string
31.
## Default:     ""
32.
#
33.
# Any additional fetchmail options. See fetchmail(1) manual page for
34.
# more information.
35.
#
36.
FETCHMAIL_EXPERT_OPTIONS=
Bitte warten ..
Mitglied: BartSimpson
13.06.2006 um 13:58 Uhr
das hilft nicht weiter.
Dann schauen mal die cronjobs durch. Auch die für die user unter /var/XX(wo auch immer Susse die hier ablegt)
Bitte warten ..
Mitglied: Ulturasepp
13.06.2006 um 14:27 Uhr
Finds nicht - weiss auch nicht genau nach was ich suchen soll!
Kann es irgendwas mit qpopper zu tun haben? Denn der lief vorhin nicht richtig!
Das hier hätte ich noch in Sachen Fetchmail-Settings:

01.
#! /bin/sh
02.
# Copyright (c) 1995-2002 SuSE Linux AG, Nuernberg, Germany.
03.
# All rights reserved.
04.
#
05.
# Author: Stanislav Brabec <sbrabec@suse.cz>
06.
#
07.
# /etc/init.d/fetchmail
08.
#
09.
### BEGIN INIT INFO
10.
# Provides:          fetchmail
11.
# Required-Start:    $syslog $network sendmail
12.
# X-UnitedLinux-Should-Start:
13.
# Required-Stop:     $syslog $network sendmail
14.
# X-UnitedLinux-Should-Stop:
15.
# Default-Start:     3 5
16.
# Default-Stop:      0 1 2 6
17.
# Short-Description: Fetch mails for configured users
18.
# Description:       Start fetchmail as root and fetch mails for configured users.
19.
#       You must create configuration file /etc/fetchmailrc first.
20.
### END INIT INFO
21.
#
22.

23.

24.
# Check for missing binaries (stale symlinks should not happen)
25.
# Note: Special treatment of stop for LSB conformance
26.
FETCHMAIL_BIN=/usr/bin/fetchmail
27.
test -x $FETCHMAIL_BIN || { echo "$FETCHMAIL_BIN not installed";
28.
        if [ "$1" = "stop" ]; then exit 0;
29.
        else exit 5; fi; }
30.

31.
# Check for existence of needed config file and read it
32.
FETCHMAIL_CONFIG=/etc/sysconfig/fetchmail
33.
FETCHMAIL_RC=/etc/fetchmailrc
34.
test -r $FETCHMAIL_CONFIG || { echo "$FETCHMAIL_CONFIG not existing";
35.
        if [ "$1" = "stop" ]; then exit 0;
36.
        else exit 6; fi; }
37.
test -r $FETCHMAIL_RC || { echo "$FETCHMAIL_RC not existing";
38.
        if [ "$1" = "stop" ]; then exit 0;
39.
        else exit 6; fi; }
40.

41.
# Read config
42.
FETCHMAIL_POLLING_INTERVAL=60
43.
FETCHMAIL_FETCHALL=yes
44.
FETCHMAIL_FETCHALL_OPTION=
45.
FETCHMAIL_SILENT=no
46.
FETCHMAIL_SILENT_OPTION=
47.
FETCHMAIL_EXPERT_OPTIONS=
48.
. $FETCHMAIL_CONFIG
49.
if [ $FETCHMAIL_FETCHALL = "yes" ] ; then
50.
    FETCHMAIL_FETCHALL_OPTION=" -a"
51.
fi
52.
if [ $FETCHMAIL_SILENT = "yes" ] ; then
53.
    FETCHMAIL_SILENT_OPTION=" -s"
54.
fi
55.

56.
# Shell functions sourced from /etc/rc.status:
57.
#      rc_check         check and set local and overall rc status
58.
#      rc_status        check and set local and overall rc status
59.
#      rc_status -v     be verbose in local rc status and clear it afterwards
60.
#      rc_status -v -r  ditto and clear both the local and overall rc status
61.
#      rc_status -s     display "skipped" and exit with status 3
62.
#      rc_status -u     display "unused" and exit with status 3
63.
#      rc_failed        set local and overall rc status to failed
64.
#      rc_failed <num>  set local and overall rc status to <num>
65.
#      rc_reset         clear both the local and overall rc status
66.
#      rc_exit          exit appropriate to overall rc status
67.
#      rc_active        checks whether a service is activated by symlinks
68.
#      rc_splash arg    sets the boot splash screen to arg (if active)
69.
. /etc/rc.status
70.

71.
# Reset status of this service
72.
rc_reset
73.

74.
# Return values acc. to LSB for all commands but status:
75.
# 0       - success
76.
# 1       - generic or unspecified error
77.
# 2       - invalid or excess argument(s)
78.
# 3       - unimplemented feature (e.g. "reload")
79.
# 4       - user had insufficient privileges
80.
# 5       - program is not installed
81.
# 6       - program is not configured
82.
# 7       - program is not running
83.
# 8--199  - reserved (8--99 LSB, 100--149 distrib, 150--199 appl)
84.
#
85.
# Note that starting an already running service, stopping
86.
# or restarting a not-running service as well as the restart
87.
# with force-reload (in case signaling is not supported) are
88.
# considered a success.
89.

90.
case "$1" in
91.
    start)
92.
        echo -n "Starting fetchmail"
93.
        ## Start daemon with startproc(8). If this fails
94.
        ## the return value is set appropriately by startproc.
95.
        startproc $FETCHMAIL_BIN -d $FETCHMAIL_POLLING_INTERVAL$FETCHMAIL_FETCHALL_OPTION$FETCHMAIL_SILENT_OPTION $FETCHMAIL_EXPERT_OPTIONS -f $FETCHMAIL_RC -L /var/log/fetchmail 2>&1
96.

97.
        # Remember status and be verbose
98.
        rc_status -v
99.
        ;;
100.
    stop)
101.
        echo -n "Shutting down fetchmail"
102.
        ## Stop daemon with killproc(8) and if this fails
103.
        ## killproc sets the return value according to LSB.
104.

105.
        killproc -TERM $FETCHMAIL_BIN
106.

107.
        # Remember status and be verbose
108.
        rc_status -v
109.
        ;;
110.
    try-restart|condrestart)
111.
        ## Do a restart only if the service was active before.
112.
        ## Note: try-restart is now part of LSB (as of 1.9).
113.
        ## RH has a similar command named condrestart.
114.
        if test "$1" = "condrestart"; then
115.
                echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
116.
        fi
117.
$0 status
118.
        if test $? = 0; then
119.
                $0 restart
120.
        else
121.
                rc_reset        # Not running is not a failure.
122.
        fi
123.
        # Remember status and be quiet
124.
        rc_status
125.
        ;;
126.
    restart)
127.
        ## Stop the service and regardless of whether it was
128.
        ## running or not, start it again.
129.
        $0 stop
130.
        $0 start
131.

132.
        # Remember status and be quiet
133.
        rc_status
134.
        ;;
135.
    force-reload)
136.
        ## Signal the daemon to reload its config. Most daemons
137.
        ## do this on signal 1 (SIGHUP).
138.
        ## If it does not support it, restart.
139.

140.
        echo -n "Reload service fetchmail"
141.
        ## if it supports it:
142.
        killproc -HUP $FETCHMAIL_BIN
143.
        #touch /var/run/fetchmail.pid
144.
        rc_status -v
145.

146.
        ## Otherwise:
147.
        #$0 stop  &&  $0 start
148.
        #rc_status
149.
        ;;
150.
    reload)
151.
        ## Like force-reload, but if daemon does not support
152.
        ## signaling, do nothing (!)
153.

154.
        # If it supports signaling:
155.
        echo -n "Reload service fetchmail"
156.
        killproc -HUP $FETCHMAIL_BIN
157.
        #touch /var/run/fetchmail.pid
158.
        rc_status -v
159.

160.
        ## Otherwise if it does not support reload:
161.
        #rc_failed 3
162.
        #rc_status -v
163.
        ;;
164.
    status)
165.
        echo -n "Checking for service fetchmail"
166.
        ## Check status with checkproc(8), if process is running
167.
        ## checkproc will return with exit status 0.
168.

169.
        # Return value is slightly different for the status command:
170.
        # 0 - service up and running
171.
        # 1 - service dead, but /var/run/  pid  file exists
172.
        # 2 - service dead, but /var/lock/ lock file exists
173.
        # 3 - service not running (unused)
174.
        # 4 - service status unknown :-(
175.
        # 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
176.

177.
        # NOTE: checkproc returns LSB compliant status values.
178.
        checkproc $FETCHMAIL_BIN
179.
        # NOTE: rc_status knows that we called this init script with
180.
        # "status" option and adapts its messages accordingly.
181.
        rc_status -v
182.
        ;;
183.
    probe)
184.
        ## Optional: Probe for the necessity of a reload, print out the
185.
        ## argument to this init script which is required for a reload.
186.
        ## Note: probe is not (yet) part of LSB (as of 1.9)
187.

188.
        test $FETCHMAIL_CONFIG -nt /var/run/fetchmail.pid || test $FETCHMAIL_RC -nt /var/run/fetchmail.pid && echo reload
189.
        ;;
190.
    *)
191.
        echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
192.
        exit 1
193.
        ;;
194.
esac
195.
rc_exit
196.

197.
Bitte warten ..
Ähnliche Inhalte
E-Mail

Zusammenspiel zwischen lokale Benutzer und fetchmail

Frage von lord-iconE-Mail

Aktuell hole ich meine Emails noch direkt von meinen Mailserver ab (Server im Web mit fester IP) Ich würde ...

Humor (lol)

Die-kleinen-Linux-Trolle-moechten-bitte-beim-Windows-Artikel-abgeholt-werden

Tipp von ashnodHumor (lol)14 Kommentare

Moins diesen Kommentar habe ich grade bei Heise Online gefunden ich fand den so Klasse das ich den mit ...

Exchange Server

Mail Monitoring

Frage von XaiviaExchange Server9 Kommentare

Guten Tag Ich würde gerne Feststellen ob unser Mailversand funktioniert da wir in letzter Zeit des öfteren Probleme damit ...

Outlook & Mail

Windows Live mail: Alle mail accounts verschwunden

gelöst Frage von Hagrid2001Outlook & Mail17 Kommentare

Hallo in die Runde, beim Öffnen von Windows Live mail waren heute sämtliche mail accounts verschwunden - das Wiederanlegen ...

Neue Wissensbeiträge
Windows 10

"Windows 10 Pro V1903: Gruppenrichtlinie "Telemetrie zulassen" aktivierbar?"

Tipp von Snowbird vor 5 StundenWindows 101 Kommentar

Sicherheits-Tools

TrendMicro Worry-Free Business Security 10.0 SP1 - Jetzt in Deutsch verfügbar! (Windows 10 1903 Support)

Tipp von TrinXx vor 1 TagSicherheits-Tools1 Kommentar

Moin! Nach wochenlangem Warten wird Trend Micro das SP1 für WFBS 10 voraussichtlich am 26.08.19 veröffentlichen. Ich habe das ...

Hyper-V
Setup VM W2016 startet nicht in Hyper-V 2016
Erfahrungsbericht von keine-ahnung vor 3 TagenHyper-V7 Kommentare

Moin, sitze gerade über meinem neuen Server und versuche, die VM auf den Host zu prügeln. Jetzt wollte ich ...

Server-Hardware

HPE Proliant ML350P Gen8 Probleme mit Zugriff auf Raid-Volumes

Erfahrungsbericht von goscho vor 3 TagenServer-Hardware1 Kommentar

Hallo Leute, das Problemgerät: HPE ML350P G8 Windows Server 2012R2 HyperV-Host 8 x 300 GB 10K SAS HDD (1 ...

Heiß diskutierte Inhalte
Server
Ein Server ins Haus stellen. Was brauche ich dafür?
Frage von JoschiTomServer15 Kommentare

Hallo Community, ich spiele mit dem Gedanken eine Server mir zu holen. Was brauche ich dafür? Und wie sind ...

Windows Server
Ist es möglich, eine deutsche W2016 Installation mit einer UK-Lizenz zu aktivieren?
gelöst Frage von keine-ahnungWindows Server10 Kommentare

Moin at all, ist ja noch Freitag. Ich habe hier noch zwei UK OEM W2016 Standard Pakete rumfliegen Muss ...

Batch & Shell
Mittels SED Text ersetzen in Anführungszeichen
gelöst Frage von nekronBatch & Shell9 Kommentare

Moin … bin nicht wirklich der SED/regex Mensch, vielleicht kann mir jemand auf die Schnelle Helfen :) ich habe ...

LAN, WAN, Wireless
Mikrotik Gast-Wlan keine Verbindung zum Internet?
Frage von dirkschwarzLAN, WAN, Wireless8 Kommentare

Guten Morgen, habe ein wahrscheinlich einfaches Problem, bei dem ich aber nicht wirklich weiter komme Ich möchte ein Gast-Wlan ...